Skip to main content
GET
/
polymarket
/
trader
/
profile
/
{address}
Get trader overview
curl --request GET \
  --url https://api.struct.to/v1/polymarket/trader/profile/{address}
{
  "proxy_wallet": "<string>",
  "display_username_public": true,
  "verified_badge": true,
  "is_creator": true,
  "is_mod": true,
  "name": "<string>",
  "pseudonym": "<string>",
  "bio": "<string>",
  "profile_image": "<string>",
  "x_username": "<string>",
  "user_id": "<string>",
  "created_at": "<string>"
}

Path Parameters

address
string
required

Trader wallet address

Response

Trader profile information with username, bio, and badges

Polymarket user profile (public API format)

proxy_wallet
string
required
display_username_public
boolean
required
verified_badge
boolean
required
is_creator
boolean
required
is_mod
boolean
required
name
string | null
pseudonym
string | null
bio
string | null
profile_image
string | null
x_username
string | null
user_id
string | null
created_at
string | null
Last modified on March 17, 2026